<?php		
	//appel fichier internationalisation
	$registry = Yab_Loader::getInstance() -> getRegistry();
	$i18n = $registry -> get('i18n');
	$filter_no_html = new Yab_Filter_NoHtml();	
	
	//Verification champs requis
	function isRequired($cle,$elt){
		try{
			$rows= $cle->getElement($elt)->get('validators');
			for($i=0; $i < sizeof($rows); $i++){
				if(isset($rows[$i])){
					if($rows[$i] == "NotEmpty"){
						return true;
					}
				}
			}					
			throw new Exception("");
			return false;
		}catch(Exception $e){
			echo '';
		}
	}
?>

<link rel="stylesheet" href="<?php echo $request->getBaseUrl(); ?>/2.0/css/jquery-ui.css">
<script src="<?php echo $request->getBaseUrl(); ?>/2.0/js/jquery-ui.js"></script>

<h2 class="page-header"><?php echo $filter_no_html->filter( $i18n -> say('edit_form')).' '.$filter_no_html->filter( $i18n -> say('organisme')).' : '.
	$filter_no_html->filter($helper_form->getElement('nom')->get('value')) ; ?>
	<div class="pull-right">
		&nbsp;
	</div>
</h2>
<form method="post" name="form_organisme" id="form_organisme" action="" role="form" class="form-horizontal">	
	<fieldset>
		<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
			<!-- Panel Identification - Start -->
			<div id="panel_identification" class="panel panel-primary">
				<div class="panel-heading" role="tab" id="headingIdentification">
					<h4 class="panel-title">
						<span class="icon-address" aria-hidden="true"></span>&nbsp;
						<a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseIdentification"
						   aria-expanded="true" aria-controls="collapseIdentification">
							<?php echo $filter_no_html->filter( $i18n -> say('identification') );?>
						</a>
					</h4>
				</div>
					
				<div id="collapseIdentification" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingIdentification">
					<div class="panel-body">	
						<div class="form-group field text" id="Fnom">
								<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="nom">
								<?php echo $helper_form->getElement('nom')->get('label').' '.((isRequired($helper_form,"nom")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('nom')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fnomabrege">
								<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="nomabrege">
								<?php echo $helper_form->getElement('nomabrege')->get('label').' '.((isRequired($helper_form,"nomabrege")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('nomabrege')->getHtml();?></div>
						</div>
																
						<div class="form-group field text" id="Fadresse1">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="adresse1">
								<?php echo $helper_form->getElement('adresse1')->get('label').' '.((isRequired($helper_form,"adresse1")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('adresse1')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fadresse2">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="adresse2">
								<?php echo $helper_form->getElement('adresse2')->get('label').' '.((isRequired($helper_form,"adresse2")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('adresse2')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fcp">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="cp">
								<?php echo $helper_form->getElement('cp')->get('label').' '.((isRequired($helper_form,"cp")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('cp')->getHtml();?></div>
						</div>
											
						<div class="form-group field text" id="Fville">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="ville">
								<?php echo $helper_form->getElement('ville')->get('label').' '.((isRequired($helper_form,"ville")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('ville')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fpays">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="pays">
								<?php echo $helper_form->getElement('pays')->get('label').' '.((isRequired($helper_form,"pays")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('pays')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Ftelephone">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="telephone">
								<?php echo $helper_form->getElement('telephone')->get('label').' '.((isRequired($helper_form,"telephone")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('telephone')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Ffax">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="fax">
								<?php echo $helper_form->getElement('fax')->get('label').' '.((isRequired($helper_form,"fax")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('fax')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Femail">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="email">
								<?php echo $helper_form->getElement('email')->get('label').' '.((isRequired($helper_form,"email")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('email')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Furl">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="url">
								<?php echo $helper_form->getElement('url')->get('label').' '.((isRequired($helper_form,"url")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('url')->getHtml();?></div>
						</div>
															
						<div class="form-group field text" id="Fdescription">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="description">
								<?php echo $helper_form->getElement('description')->get('label').' '.((isRequired($helper_form,"description")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('description')->getHtml();?></div>
						</div>
					</div>
				</div>
			</div>
			<!-- Panel Identification - End -->
		</div>
		<div>
			<input class="btn btn-primary" type="submit" value="<?php echo $filter_no_html->filter( $i18n -> say('save_form') ); ?>" />
			<a href="<?php echo $this->getRequest('Fsn_organisme', 'index'); ?>" class="btn btn-default"><?php echo $filter_no_html->filter( $i18n -> say('back_form') ); ?></a>
		</div>
	</fieldset>
</form>
